Package com.databricks.jdbc.common.util

## Class DatabricksThreadContextHolder

- java.lang.Object
- - com.databricks.jdbc.common.util.DatabricksThreadContextHolder

    public class DatabricksThreadContextHolder
    extends Object

### Constructor Summary

Constructors
`DatabricksThreadContextHolder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearAllContext()`
`static void` `clearConnectionContext()`
`static void` `clearStatementInfo()`
`static Long` `getChunkId()`
`static IDatabricksConnectionContext` `getConnectionContext()`
`static Integer` `getRetryCount()`
`static StatementId` `getStatementId()`
`static StatementType` `getStatementType()`
`static void` `setChunkId​(Long chunkId)`
`static void` `setConnectionContext​(IDatabricksConnectionContext context)`
`static void` `setRetryCount​(Integer retryCount)`
`static void` `setStatementId​(StatementId statementId)`
`static void` `setStatementType​(StatementType statementType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksThreadContextHolder

    public DatabricksThreadContextHolder()

### Method Detail

#### setConnectionContext

    public static void setConnectionContext​(IDatabricksConnectionContext context)

#### getConnectionContext

    public static IDatabricksConnectionContext getConnectionContext()

#### setStatementId

    public static void setStatementId​(StatementId statementId)

#### getStatementId

    public static StatementId getStatementId()

#### setStatementType

    public static void setStatementType​(StatementType statementType)

#### getRetryCount

    public static Integer getRetryCount()

#### setRetryCount

    public static void setRetryCount​(Integer retryCount)

#### getStatementType

    public static StatementType getStatementType()

#### setChunkId

    public static void setChunkId​(Long chunkId)

#### getChunkId

    public static Long getChunkId()

#### clearConnectionContext

    public static void clearConnectionContext()

#### clearStatementInfo

    public static void clearStatementInfo()

#### clearAllContext

    public static void clearAllContext()